/**
 ** cloneCloneThreadCodels.c
 **
 ** Codels appeles par la tache cloneCloneThread
 **
 ** Auteur: 
 ** Date: 
 **
 **/

#include <portLib.h>
#include <stdio.h>

#include "commonStructLib.h"

#include "server/cloneHeader.h"
#include "cloneConst.h"

#include "lib/Minim_lib.h"


/*------------------------------------------------------------------------
 *
 * cloneCloneThreadInit  --  Codel d'initialisation (SDI/f, ...)
 *
 * Description: 
 * 
 * Retourne:    OK ou ERROR
 */

STATUS cloneCloneThreadInit(int *bilan)
{
  /* ... add your code here ... */
  return OK;
}

/*------------------------------------------------------------------------
 *
 * cloneCloneThreadEnd  --  Codel de terminaison
 *
 * Description: 
 * 
 * Retourne:    OK ou ERROR
 */

STATUS cloneCloneThreadEnd(void)
{
  return OK;
}

/*------------------------------------------------------------------------
 *
 * cloneCloneThreadPerm  --  codel de l'activite' permanente
 *
 * Description: 
 * 
 * Bilans:      OK 
 * 
 * Retourne:    OK ou ERROR
 */

STATUS cloneCloneThreadPerm(int *bilan)
{
  if(!SDI_F->cloneThreadOn)
    return OK;

  commonStructGive ((void *) cloneDataStrId);
  commonStructGive ((void *) cloneCntrlStrId);

  /* start clone */
  Minim_start_clone();

  return OK;
}

